com.independentsoft.exchange

## Class SearchFolder

- java.lang.Object
- - com.independentsoft.exchange.Folder
  - - com.independentsoft.exchange.SearchFolder

-     public class SearchFolder
      extends Folder

  Represents a search folder that is contained in a mailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchFolder()` Initializes a new instance of the SearchFolder class.
    `SearchFolder(SearchFolderParameters parameters)` Initializes a new instance of the SearchFolder class.
    `SearchFolder(java.lang.String displayName)` Initializes a new instance of the SearchFolder class.
    `SearchFolder(java.lang.String displayName, SearchFolderParameters parameters)` Initializes a new instance of the SearchFolder class.
    `SearchFolder(java.lang.String displayName, java.lang.String folderClass)` Initializes a new instance of the SearchFolder class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchFolderParameters` | `getParameters()`
    `void` | `setParameters(SearchFolderParameters parameters)`
    `java.lang.String` | `toString()` Converts the value of the current SearchFolder object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Folder

      `getArchiveTag, getChildFolderCount, getComment, getCreationTime, getDisplayName, getEffectiveRights, getEntryId, getExtendedProperties, getFolderClass, getFolderId, getLastModifiedTime, getManagedFolderInformation, getParentId, getPermissionSet, getRetentionTag, getSearchKey, getSize, getStandardFolder, getTotalCount, getUnreadCount, hasSubFolders, isHidden, isReadOnly, isSystem, setComment, setDisplayName, setFolderClass, setIsHidden, setPermissionSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchFolder

          public SearchFolder()

      Initializes a new instance of the SearchFolder class.

    - #### SearchFolder

          public SearchFolder(java.lang.String displayName)

      Initializes a new instance of the SearchFolder class.
      Parameters:
        `displayName` - the display name

    - #### SearchFolder

          public SearchFolder(SearchFolderParameters parameters)

      Initializes a new instance of the SearchFolder class.
      Parameters:
        `parameters` -

    - #### SearchFolder

          public SearchFolder(java.lang.String displayName,
                              SearchFolderParameters parameters)

      Initializes a new instance of the SearchFolder class.
      Parameters:
        `displayName` -
        `parameters` -

    - #### SearchFolder

          public SearchFolder(java.lang.String displayName,
                              java.lang.String folderClass)

      Initializes a new instance of the SearchFolder class.
      Parameters:
        `displayName` - the display name
        `folderClass` - the folder class

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current SearchFolder object to its equivalent string representation.
      Overrides:
        `toString` in class `Folder`
      Returns:
        the string

    - #### getParameters

          public SearchFolderParameters getParameters()

    - #### setParameters

          public void setParameters(SearchFolderParameters parameters)